## openbabel 2.3.0+dfsg

=== debian/changelog ===
openbabel (2.3.0+dfsg-2) UNRELEASED; urgency=low

  * debian/rules: Make override_dh_auto_test a no-op (closes: 624597).

 -- Michael Banck <mbanck@debian.org>  Fri, 22 Apr 2011 13:30:15 +0200
