## openbabel 2.3.1+dfsg

=== debian/changelog ===
openbabel (2.3.1+dfsg-4) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Use BibTeX Syntax for authors.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Fixed my address.
    (Build-Depends): Added libcairo2-dev. Dropped python-support.
    (Depends): Added libjs-jquery for jquery.js in libopenbabel-doc.
  * debian/libopenbabel-doc.links: Added to link jquery.js.
  * debian/libopenbabel-doc.doc-base: Added.
  * debian/python-openbabel.doc-base.pybel: Ditto.
  * debian/python-openbabel.doc-base.openbabel: Ditto.
  * debian/openbabel-gui.links: Link manual page for the obgui binary.
  * debian/rules: Enabled hardening and dh_python2 (closes: #678451). Set
    build type to 'none'. Fixed python module building. Exclude jquery.js
    from being installed and fixed embedded-javascript-library.
  * debian/patches/obspectrophore_man.patch: Added.
    - Added manual page for the obspectrophore binary.
  * debian/patches/perl_hardening.patch: Added.
    - Pass flags to Makefile.PL to enable hardening for perl bindings.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 30 Jun 2012 20:09:22 +0200

openbabel (2.3.1+dfsg-3) unstable; urgency=low

  * debian/patches/gaussformat_nosym.patch: New patch, fixes Gaussian output
    file parsing if the "nosym" keyword has been requested (as is e.g. the
    case for the methane.g03 example file in Avogadro).
  * debian/patches/moldenformat_coordonly.patch: New patch, fixes Molden file
    parsing to not hang if only a geometry (and no vibrations) are present).
  * debian/control (Build-Depends): Added pkg-config (Closes: #673256).
  * debian/control (Standards-Version): Bumped to 3.9.3.
  * debian/upstream: New file.
  * debian/openbabel.install: Removed roundtrip, it has a rather generic name
    and is mostly just useful for the testsuite during package build.
  * debian/control (openbabel/Description): Added some more command-line
    tools.

 -- Michael Banck <mbanck@debian.org>  Thu, 31 May 2012 01:36:48 +0200

openbabel (2.3.1+dfsg-2) unstable; urgency=low

  * debian/openbabel.install: Explicitly list the binaries, excluding obgui.

 -- Michael Banck <mbanck@debian.org>  Sat, 29 Oct 2011 19:08:31 +0200

openbabel (2.3.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/obabel_manpage_additions.patch: Removed, applied upstream.
  * debian/patches/vaspformat_frequencies.patch: Likewise.
  * debian/patches/fix_parallel_build.patch: Likewise.
  * debian/rules: Explicitly set CPPFLAGS for the eigen2 headers when building
    the python bindings.
  * debian/openbabel-gui.install: Updated for filename change.

 -- Michael Banck <mbanck@debian.org>  Fri, 28 Oct 2011 20:22:51 +0200
