## openbabel 2.3.2%2Bdfsg

=== debian/changelog ===
openbabel (2.3.2+dfsg-3) unstable; urgency=high

  * Acknowledge NMUs.
  * debian/patches/862517_initialise.patch: New patch, fixes an initialisation
    error, taken from upstream commit 45abc715, thanks to Stuart Prescott
    (Closes: #862517).

 -- Michael Banck <mbanck@debian.org>  Sun, 04 Jun 2017 16:25:10 +0200

openbabel (2.3.2+dfsg-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS in testing": build with -std=gnu++98.
    (Closes: #834249)

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Sep 2016 14:49:09 +0200

openbabel (2.3.2+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * "Fix" GCC version check up to GCC 9. Closes: #812259.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Aug 2016 11:44:00 +0200

openbabel (2.3.2+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply Ubuntu patch for the libstdc++ transition (Closes: #796854)

  [ Matthias Klose ]
  * Rename libopenbabel4 to libopenbabel4v5, follow-up transition
    to the libstdc++6 transition.
  * Add Conflict/Replaces to the old library.

 -- Simon McVittie <smcv@debian.org>  Mon, 31 Aug 2015 22:18:57 +0100

openbabel (2.3.2+dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload.
  * Fix building with GCC 5. Closes: #778044.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jul 2015 17:35:33 +0200

openbabel (2.3.2+dfsg-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * debian/control: Added new package with debugging symbols.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/openbabel.install: Added obrms binary.
  * debian/rules: Put debugging symbols into -dbg package.
  * debian/patches/715668_fix_babel_segfault.patch: Added.
    - Fix a potential crash in the babel program (closes: #715668)
  * debian/patches/series: Adjusted.

  [ Michael Banck ]
  * debian/rules (DH_AUTO_CONFIGURE_OPTS): Run testsuite only if nocheck is not
    set, thanks to Matthias Klose (closes: #759196).
  * Acknowledge NMUs.

 -- Michael Banck <mbanck@debian.org>  Sat, 20 Sep 2014 14:43:24 +0200

openbabel (2.3.2+dfsg-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxwidgets3.0.

 -- Olly Betts <olly@survex.com>  Wed, 03 Sep 2014 23:48:34 +0000

openbabel (2.3.2+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * apply mistakenly omitted part of gregor's patch removing
    libchemistry-openbabel-perl.install.
    Really Closes: #752800. Thanks to Niko Tyni

 -- Damyan Ivanov <dmn@debian.org>  Mon, 11 Aug 2014 08:07:30 +0000

openbabel (2.3.2+dfsg-1.2) unstable; urgency=medium

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    - remove debian/libchemistry-openbabel-perl.install
    - pass perl directory to dh_install in debian/rules,
      expanded from $Config{vendorarch}
    (Closes: #752800)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 11:31:02 +0000

openbabel (2.3.2+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libeigen2-dev by libeigen3-dev. (Closes: #726179)

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Jan 2014 19:06:26 +0100

openbabel (2.3.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Dropped DM-Upload-Allowed field.
    (Standards-Version): Bumped to 3.9.4.
  * debian/copyright: Massive update.
  * debian/upstream: Author name update.
  * debian/get-orig-source.sh: Remove the windows-*/ directory too.
  * debian/openbabel.install: Removed roundtrip manpage.
  * debian/openbabel-gui.install: Fixed manpage name.
  * debian/openbabel-gui.links: Removed unused file.
  * debian/rules: Enable OpenMP. Disable tests on `nocheck'.
  * debian/patches/gaussformat_nosym.patch: Dropped. Applied upstream.
  * debian/patches/moldenformat_coordonly.patch: Ditto.
  * debian/patches/obspectrophore_man.patch: Ditto.
  * debian/patches/fix_ftbfs.patch: Added.
    - Fix several FTBFS issues in upstream build system.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 22 May 2013 19:08:27 +0200
