=== debian/rules ===
--- 
+++ 
@@ -5,20 +5,28 @@
 -include /usr/share/python/python.mk
 
 PYVERS=$(shell pyversions -vs)
+PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
 export CPPFLAGS     := $(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS       := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
 export CXXFLAGS     := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 export LDFLAGS      := $(shell dpkg-buildflags --get LDFLAGS)
+export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98
+
+DH_AUTO_CONFIGURE_OPTS := -DCMAKE_BUILD_TYPE=None \
+                          -DPYTHON_BINDINGS=ON -DPERL_BINDINGS=ON \
+                          -DOBPERL_INSTALLDIRS=vendor \
+                          -DCMAKE_SKIP_RPATH=ON -DBUILD_GUI=ON \
+                          -DENABLE_OPENMP=ON
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+DH_AUTO_CONFIGURE_OPTS += -DENABLE_TESTS=OFF
+endif
 
 %:
 	dh $@ --with=python2 --builddirectory=$(CURDIR)/build --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=None \
-                             -DPYTHON_BINDINGS=ON -DPERL_BINDINGS=ON \
-                             -DOBPERL_INSTALLDIRS=vendor \
-                             -DCMAKE_SKIP_RPATH=ON -DBUILD_GUI=ON
+	dh_auto_configure -- $(DH_AUTO_CONFIGURE_OPTS)
 
 override_dh_auto_build:
 	dh_auto_build
@@ -37,7 +45,8 @@
 	done
 
 override_dh_install:
-	dh_install -Xperllocal.pod --list-missing
+	dh_install --list-missing -Nlibchemistry-openbabel-perl
+	dh_install --list-missing -plibchemistry-openbabel-perl -Xperllocal.pod --autodest $(PERL_ARCHLIB)
 
 override_dh_installdocs:
 	dh_installdocs -Xjquery.js
@@ -50,3 +59,6 @@
 	-BABEL_LIBDIR=$(CURDIR)/build/lib \
 	LD_LIBRARY_PATH=$(CURDIR)/build/lib \
 	dh_auto_test
+
+override_dh_strip:
+	dh_strip --dbg-package=openbabel-dbg
